--------------------------------------------------------------------
/*
دوره صوتی / ویدئویی تحلیل و طراحی بانک اطلاعاتی سیستم خرید و فروش
Site:        www.NikAmooz.com
Email:       Info@NikAmooz.com
Forum:       forum.NikAmooz.com
Created By:  Ahmad Ghaffari & Farid Taheri & Masoud Taheri 
*/
--------------------------------------------------------------------

USE NikAmoozShop
GO

--ایجاد جدول سربرگ فاکتور خرید 
CREATE TABLE Operating.FactorKharidMaster
(
	IDFactor INT IDENTITY(1,1),
	IDSaleMali INT,
	ShFactor BIGINT,
	DateFactor VARCHAR(50),
	IDShakhs INT
)
GO

--ایجاد جدول جزئیات فاکتور خرید 
CREATE TABLE Operating.FactorKharidDetails
(
	IDFactorDetail INT IDENTITY(1,1),
	IDFactor INT,
	IDKala INT,
	Tedad DECIMAL(18,2),
	Fe DECIMAL(18,2)
)
GO













-- درج رکورد در جدول سربرگ فاکتور خرید
INSERT INTO Operating.FactorKharidMaster (IDSaleMali, ShFactor, DateFactor, IDShakhs) VALUES 
(1,1,'1392/01/15',1),
(1,2,'1392/03/01',1),
(1,4,'1392/06/01',1),
(1,2,'1392/09/01',1)

GO

-- درج رکورد در جدول جزئیات فاکتور خرید
INSERT INTO Operating.FactorKharidDetails (IDFactor, IDKala, Tedad, Fe) VALUES 
(1,1,100,170000),
(1,2,40,500000),
(2,7,80,65000),
(2,8,50,40000),
(3,5,100,78000),
(3,6,50,40000),
(4,1,50,180000),
(4,8,80,42000)

GO



SELECT * FROM Operating.FactorKharidMaster
SELECT * FROM Operating.FactorKharidDetails
GO

SELECT * FROM Operating.FactorKharidMaster where IDFactor=2
SELECT * FROM Operating.FactorKharidDetails where IDFactor=2
GO






-- درج رکورد در جدول سربرگ فاکتور فروش
INSERT INTO Operating.FactorMaster (IDSaleMali, ShFactor, DateFactor, IDShakhs) VALUES 
(1,1,'1392/01/25',3),
(1,2,'1392/01/25',1),
(1,3,'1392/01/26',2),
(1,4,'1392/03/01',4)

GO

-- درج رکورد در جدول جزئیات فاکتور فروش
INSERT INTO Operating.FactorDetails (IDFactor, IDKala, Tedad, Fe) VALUES 
(1,1,1,210000),
(1,5,3,85000),
(2,2,1,650000),
(3,7,2,80000),
(4,1,3,210000)
GO


-- ایجاد جدول نوع مبالغ جهت تسویه فاکتور
CREATE TABLE Operating.TypeMablagh
(
	IDTypeMablagh TINYINT,
	TypeMablagh NVARCHAR(50)
)
GO

-- درج رکورد در جدول نوع مبالغ جهت تسویه
INSERT INTO Operating.TypeMablagh (IDTypeMablagh,TypeMablagh) VALUES 
(1,N'نقدی'),
(2,N'چک وارده'),
(3,N'چک صادره'),
(4,N'حواله بانکی'),
(5,N'دستگاه کارت خوان'),
(6,N'کارت به کارت')
GO


-- ایجاد جدول تسویه فاکتور فروش
CREATE TABLE Operating.FactorForushTasviyeh
(
	IDForushTasviyeh INT IDENTITY(1,1),
	IDFactor INT,
	DateTasviyeh VARCHAR(20),
	IDTypeMablagh TINYINT,
	Mablagh DECIMAL(18,2),
	Comments NVARCHAR(200)
)
GO

-- ایجاد جدول تسویه فاکتور خرید
CREATE TABLE Operating.FactorKharidTasviyeh
(
	IDKharidTasviyeh INT IDENTITY(1,1),
	IDFactor INT,
	DateTasviyeh VARCHAR(20),
	IDTypeMablagh TINYINT,
	Mablagh DECIMAL(18,2),
	Comments NVARCHAR(200)
)
